Skip to main content
DELETE
/
uptime
/
monitors
/
{monitorId}
Delete a monitor
curl --request DELETE \
  --url https://api.phare.io/uptime/monitors/{monitorId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.phare.io/uptime/monitors/{monitorId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phare.io/uptime/monitors/{monitorId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


This response has no body data.
{
  "message": "Unauthorized"
}
{
  "message": "The platform:write permission is required to perform this action."
}
{
  "message": "Resource not found"
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

monitorId
integer
required

ID of the monitor to delete

Response

Last modified on February 8, 2026